---
title: List Blueprints
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > App Builder
---

# List Blueprints{% #list-blueprints %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                    |
| ----------------- | --------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/app-builder/blueprints |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/app-builder/blueprints |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/app-builder/blueprints      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/app-builder/blueprints      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/app-builder/blueprints  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/app-builder/blueprints     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/app-builder/blueprints |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/app-builder/blueprints |

### Overview

List available app blueprints. This endpoint requires any of the following permissions:
`apps_run``apps_write``connections_read``connections_write` 


### Arguments

#### Query Strings

| Name  | Type    | Description                                                                  |
| ----- | ------- | ---------------------------------------------------------------------------- |
| limit | integer | The number of blueprints to return per page. Defaults to 10. Maximum is 100. |
| page  | integer | The page of results to return. Starts at 0.                                  |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
The response for listing available blueprints.

| Parent field | Field                         | Type      | Description                                                         |
| ------------ | ----------------------------- | --------- | ------------------------------------------------------------------- |
|              | data                          | [object]  | An array of blueprint metadata.                                     |
| data         | attributes [*required*]  | object    | The attributes of a blueprint metadata resource.                    |
| attributes   | created_at [*required*]  | date-time | The timestamp when the blueprint was created.                       |
| attributes   | description [*required*] | string    | A description of what the blueprint does.                           |
| attributes   | name [*required*]        | string    | The human-readable name of the blueprint.                           |
| attributes   | slug [*required*]        | string    | The unique slug identifier of the blueprint.                        |
| attributes   | tags                          | [string]  | Tags associated with the blueprint.                                 |
| attributes   | tile_background               | string    | The background style of the blueprint tile.                         |
| attributes   | tile_icon_action_fqn          | string    | The fully qualified name of the action used as the tile icon.       |
| attributes   | updated_at [*required*]  | date-time | The timestamp when the blueprint was last updated.                  |
| data         | id [*required*]          | uuid      | The ID of the blueprint.                                            |
| data         | type [*required*]        | enum      | The resource type for a blueprint. Allowed enum values: `blueprint` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "created_at": "",
        "description": "",
        "name": "AWS Service Manager",
        "slug": "aws-service-manager",
        "tags": [],
        "tile_background": "string",
        "tile_icon_action_fqn": "string",
        "updated_at": ""
      },
      "id": "65bb1f25-52e1-4510-9f8d-22d1516ed693",
      "type": "blueprint"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/app-builder/blueprints" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
